<?php

declare(strict_types=1);

namespace Lubiana\NoFramework;

use Throwable;
use Whoops\Handler\CallbackHandler;
use Whoops\Handler\PrettyPageHandler;
use Whoops\Run;

require __DIR__ . '/../vendor/autoload.php';

$environment = getenv('APP_ENV') ?: 'dev';

$whoops = new Run;
$whoops->pushHandler(
    new CallbackHandler(
        function (Throwable $e) use ($environment) {
            if ($environment !== 'dev') {
                http_response_code(500);
                echo 'Whoops';
            }
            error_log(<<<TXT
                Error: {$e->getMessage()}
                {$e->getTraceAsString()}
                TXT
            );
        }
    )
);

if ($environment === 'dev') {
    $whoops->pushHandler(new PrettyPageHandler);
}
$whoops->register();

throw new \Exception('Hello world');